package com.xkrs.model.qo;

import com.xkrs.model.validation.ShanDongFirePointVerifyStateQoUpdate;

import javax.validation.constraints.NotNull;

public class ShanDongFirePointVerifyStateQo {

    @NotNull(message = "{FirePoint.fireCode.blank}", groups = {ShanDongFirePointVerifyStateQoUpdate.class})
    private String fireCode;

    @NotNull(message = "{FirePoint.verifyState.blank}", groups = {ShanDongFirePointVerifyStateQoUpdate.class})
    private String verifyState;

    public ShanDongFirePointVerifyStateQo() {
    }

    public String getFireCode() {
        return fireCode;
    }

    public void setFireCode(String fireCode) {
        this.fireCode = fireCode;
    }

    public String getVerifyState() {
        return verifyState;
    }

    public void setVerifyState(String verifyState) {
        this.verifyState = verifyState;
    }

    @Override
    public String toString() {
        return "ShanDongFirePointVerifyStateQo{" + "fireCode='" + fireCode + '\'' + ", verifyState='" + verifyState + '\'' + '}';
    }
}
